import React, { ChangeEvent } from "react"
import Button from "@material-ui/core/Button"
import { sheet } from "../../dataInterface"
import {parseFile} from "../../xlsXHandler"


export const FileInput: React.FC<{
  addSheet:  (sheet:sheet) => void;
}> = props => {

  const {addSheet}  = props;

  const fileParsed=(sheet:sheet):void=>{
    addSheet(sheet)
  }


  const onChangeHandler = (event: ChangeEvent<HTMLInputElement>) => {
    const files = event.target.files;
    if (files != null) {
      Array.from(files).forEach(file => {
        parseFile(file, fileParsed);
       
      });
    }
  }

  return <>
    <input
      accept=".xlsx"
      id="raised-button-file"
      multiple
      type="file"
      onChange={onChangeHandler}
    />
    <label htmlFor="raised-button-file">
      <Button component="span">
        Upload
    </Button>
    </label>
  </>
}