import XLSX from 'xlsx';
import {sheet,setup,diagramEntry} from "./dataInterface"


export const parseFile = (file: File, fileParsed: (sheet:sheet) => void) => {
    const reader = new FileReader();
    const rABS = !!reader.readAsBinaryString;

    reader.onload = (e) => {
        if(e.target) {
            const bstr = e.target.result;
            const wb = XLSX.read(bstr, {type:rABS ? 'binary' : 'array'});
            console.log(wb)
            const wsetup = wb.Sheets["Setup"];
            const parsed = XLSX.utils.sheet_to_json(wsetup, {header:"A"}) as { A:string; B?:string}[];
            const setup = {}
            parsed.forEach(s => {
                if(s.B){
                    //@ts-ignore
                    setup[s.A] = s.B;
                }
            });

            console.log(setup)
            const wdata = wb.Sheets["Diagram"];
            let diagram = XLSX.utils.sheet_to_json(wdata);
            diagram.splice(0,1);
            console.log(diagram)

            fileParsed({name:file.name, setup: setup as setup, diagram:diagram as diagramEntry[]})
        }
    };
    if(rABS) reader.readAsBinaryString(file); else reader.readAsArrayBuffer(file);
}

